# TIFFFieldDataType

## Synopsis

    #include <tiffio.h>

TIFFDataType TIFFFieldDataType(const TIFFField *fip)

## Description

`TIFFFieldDataType()` returns the data type stored in a TIFF field. fip is a field information pointer previously returned by `TIFFFindField()`, `TIFFFieldWithTag()`, or `TIFFFieldWithName()`.

## Return values

`TIFFFieldDataType()` returns a member of the enum type `TIFFDataType`.

## See also

libtiff (3tiff)